Raspberry Pi 4

For information, Recalbox IS NOT compatible with Raspberry Pi 4 yet.
Pour information, Recalbox N'EST PAS encore compatible avec le Raspberry Pi 4.

The Recalbox Team.

Mode non pris en charge



  • Bonjour à tous,

    Alors j'ai fait pour mon frère un emulateur avec un raspberry pi 3,que j'ai utilisé chez moi pendant plus d'un moi pour être sûr que tout aille bien. Seulement lorsque je lui ai ramené et que nous avons voulu jouer aux jeux de ps1 la télé à affichée un écran noir avec le message "mode non pris en charge"
    J'ai essayé plusieurs jeux sur différentes consoles et ça le fait également. Tout fonctionne chez moi (tv Philips), et 1/4 chez mon frère tv Samsung
    J'ai essayé de jouer avec le hdmi_safe=1,hdmi_group=1,etc...
    Comment résoudre le problème ?
    Merci d'avance



  • @aïe ES s'affiche, mais pas les émulateurs ? il y a du son ? genre l'émulation se fait mais pas d'affichage ?



  • @Substring Rien ne s'affiche, pas de son, pas d'image et lorsque je quitte le jeu avec les raccourcis je reviens au menu, il n'y a pas de problème d'affichage
    Aucun jeu de ps1 ne fonctionne, et sur les autres consoles certain fonctionne



  • @aïe tu peux me faire une archive de support stp ?



  • @Substring j'ai uploade une vidéo pour montrer comment réagi la tv
    Et comment puis-je fournir une archive de support ? C'est le fichier config ? Car je l'ai essayé avec le miens sans modifier de fichier et le problème est identique



  • Oup's voici le lien https://youtu.be/Rwuua2wGXr0



  • @aïe http://recalbox/help pour l'archive de support



  • @Substring

    Voici le fichier

    • #!/bin/sh

    GTMP="/tmp"
    DHOME="/recalbox/share/system"

    to be callable by any external tool

    if test $# -eq 1
    then
    REPORTNAME=$(basename "$1" | sed -e s+'^([^.])..$'+'\1'+)
    OUTPUTFILE=$1
    else
    REPORTNAME="recalbox-support-"$(date +%Y%m%d%H%M%S)
    OUTPUTFILE="/recalbox/share/saves/${REPORTNAME}.tar.gz"
    fi

    TMPDIR="${GTMP}/${REPORTNAME}"

    f_cp() {
    test -e "$1" && cp "$1" "$2"
    }

    d_cp() {
    test -d "$1" && cp -pr "$1" "$2"
    }

    if mkdir "${TMPDIR}" && mkdir "${TMPDIR}/"{system,joysticks,lirc,kodi}
    then
    if ! cd "${TMPDIR}"
    then
    echo "Change directory failed" >&2
    exit 1
    fi
    else
    echo "Reporting directory creation failed" >&2
    exit 1
    fi

    SYSTEM

    DSYSTEM="${TMPDIR}/system"
    dmesg > "${DSYSTEM}/dmesg.txt"
    lsmod > "${DSYSTEM}/lsmod.txt"
    ps > "${DSYSTEM}/ps.txt"
    df -h > "${DSYSTEM}/df.txt"
    netstat -tuan > "${DSYSTEM}/netstat.txt"
    lsusb -v > "${DSYSTEM}/lsusb.txt" 2>/dev/null
    tvservice -m CEA > "${DSYSTEM}/tvservice-CEA.txt"
    tvservice -m DMT > "${DSYSTEM}/tvservice-DMT.txt"
    ifconfig -a > "${DSYSTEM}/ifconfig.txt"
    lspci > "${DSYSTEM}/lspci.txt"
    amixer > "${DSYSTEM}/amixer.txt"
    aplay -l > "${DSYSTEM}/aplay-l.txt"
    DISPLAY=:0.0 glxinfo > "${DSYSTEM}/glxinfo.txt"
    DISPLAY=:0.0 xrandr > "${DSYSTEM}/xrandr.txt"
    connmanctl technologies > "${DSYSTEM}/connman-technologies.txt"
    connmanctl services > "${DSYSTEM}/connman-services.txt"
    f_cp /recalbox/recalbox.version "${DSYSTEM}"
    f_cp /recalbox/recalbox.arch "${DSYSTEM}"
    f_cp /boot/config.txt "${DSYSTEM}"
    f_cp /recalbox/share/system/recalbox.conf "${DSYSTEM}"
    d_cp /recalbox/share/system/logs "${DSYSTEM}"
    f_cp /var/log/messages "${DSYSTEM}"
    f_cp /recalbox/share/system/.emulationstation/es_settings.cfg "${DSYSTEM}"
    f_cp /recalbox/share/system/.emulationstation/es_log.txt "${DSYSTEM}"
    f_cp /recalbox/share/system/.emulationstation/es_input.cfg "${DSYSTEM}"
    f_cp /boot/recalbox-boot.conf "${DSYSTEM}"
    f_cp /var/log/Xorg.0.log "${DSYSTEM}"

    Update logs

    d_cp /recalbox/share/system/upgrade "${DSYSTEM}"
    find "${DSYSTEM}/upgrade" -type f ! -name "upgrade" | xargs rm

    Emulators configs

    d_cp /recalbox/share/system/configs "${TMPDIR}/configs"

    joysticks

    DJOYS="${TMPDIR}/joysticks"
    find /dev/input > "${DJOYS}/inputs.txt"
    for J in /dev/input/event*
    do
    N=$(basename ${J})
    evtest --info "${J}" > "${DJOYS}/evtest.${N}.txt"
    udevadm info -q all -n "${J}" > "${DJOYS}/udevadm.${N}.txt"
    done
    sdl2-jstest -l > "${DJOYS}/sdl2-jstest.txt"

    lirc

    DLIRC="${TMPDIR}/lirc"
    f_cp "${DHOME}/.config/lirc/lircd.conf" "${DLIRC}"

    kodi

    DKODI="${TMPDIR}/kodi"
    f_cp "${DHOME}/.kodi/userdata/Lircmap.xml" "${DKODI}"
    f_cp "${DHOME}/.kodi/userdata/keymaps/recalbox.xml" "${DKODI}"
    d_cp "${DHOME}/.kodi/userdata/remotes" "${DKODI}"
    f_cp "${DHOME}/.kodi/temp/kodi.log" "${DKODI}"

    if ! (cd "${GTMP}" && tar cf - "${REPORTNAME}" | gzip -c > "${OUTPUTFILE}")
    then
    echo "Reporting zip creation failed" >&2
    exit 1
    fi

    rm -rf "${TMPDIR}"
    echo "${OUTPUTFILE}"
    exit 0

    • élément de liste


  • @aïe ce n'est pas le script que je veux, mais son résultat, d'où le lien HTML ci-dessus lol



  • @Substring lol Désolé
    Je n ai pas accès au lien

    You don't have permission to access /help on this server.



  • @aïe ton pi est en réseau ? tu es sous windows ou mac ?



  • @Substring désolé substring mais je ne comprends pas la manip à faire
    Mon pi 3 est en réseau et j'ai accès à un Windows ou Ubuntu



  • @aïe si ton pi est sur le réseau tu dois juste aller sur http://recalbox/help et cliquer sur le bouton qui génère l'archive de support ...

    Sinonn en SSH : /recalbox/scripts/recalbox-support.sh et tu m'upload le fichier qq part que je regarde



  • @Substring

    /recalbox/scripts/recalbox-support.sh

    lspci: /sys/bus/pci/devices: No such file or directory
    /recalbox/scripts/recalbox-support.sh: line 53: aplay: command not found
    /recalbox/scripts/recalbox-support.sh: line 54: glxinfo: command not found
    /recalbox/scripts/recalbox-support.sh: line 55: xrandr: command not found
    BusyBox v1.25.1 (2017-12-02 10:08:22 UTC) multi-call binary.

    Usage: rm [-irf] FILE...

    Remove (unlink) FILEs

        -i      Always prompt before removing
        -f      Never prompt
        -R,-r   Recurse
    

    evtest: No such file or directory
    device node not found
    /recalbox/share/saves/recalbox-support-20180103185430.tar.gz

    Voilà


  • Staff
    Moderator
    Team

    @aïe c'est ce fichier qu'il faut récupérer et envoyer sur un site genre free ou mega pour que @Substring puisse l'analyser...



  • @aïe said in Mode non pris en charge:

    /recalbox/share/saves/recalbox-support-20180103185430.tar.gz

    c'est lui que je veux



  • @Substring
    Bon j'ai enfin trouvé :)
    https://file.ac/ZaWkhL88HAQ/



  • @aïe sauf que j'ai oublié de préciser que ca devait êtr fait sur la TV de ton frère :D ca coulait de source poru moi mais j'aurais du être plus explicite lol



  • @Substring mdrrr, j'ai vu avec lui et il est sur mac. Lorsqu'il lance http://recalbox/help avec son pi en réseau, il n'a qu'une page" not found "
    Y a t-il un autre lien pour Mac ?


  • Staff
    Moderator
    Team


Log in to reply
 

Want to support us ?

201
Online

62569
Users

18681
Topics

140292
Posts

Looks like your connection to Recalbox Forum was lost, please wait while we try to reconnect.